IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_PEREC_PERDA_ROUBO_TRANSP_DEST_PEND ]'))
	DROP TRIGGER [dbo].[TRG_EST_NFE_PEREC_PERDA_ROUBO_TRANSP_DEST_PEND ]
GO

CREATE TRIGGER [dbo].[TRG_EST_NFE_PEREC_PERDA_ROUBO_TRANSP_DEST_PEND ] ON [dbo].[EST_NFE_PEREC_PERDA_ROUBO_TRANSP_DEST] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_PEREC_PERDA_ROUBO_TRANSP_DEST_PEND (CD_CTR_PERDA_ROUBO_TRANSP_DEST    , DT_CAD, PEND_SOLUC)
	SELECT 
		t.CD_CTR_PERDA_ROUBO_TRANSP_DEST    , 
		GETDATE(),
		0
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						pend.CD_CTR_PERDA_ROUBO_TRANSP_DEST     
					FROM 
						EST_NFE_PEREC_PERDA_ROUBO_TRANSP_DEST_PEND pend
					WHERE 
						t.CD_CTR_PERDA_ROUBO_TRANSP_DEST     = pend.CD_CTR_PERDA_ROUBO_TRANSP_DEST    );



